We recommend checking out the introductory
section to understand the basics of making
transfers first.
Making a Bulk Transfer
To do this, you’ll provide an array of objects calledbulk_data. Each item in this array contains details for one transfer—the same details you specify when making a single transfer. Bulk transfers can be to either bank accounts, or mobile money accounts.
You can also specify a title for the transfer. This is helpful so you can easily identify what a set of payments was for.
200 OK
Checking the Status
If you have webhooks enabled, we’ll send you a notification for each transfer in the batch as it gets completed (succeeds or fails). You can also check the status of a bulk transfer manually using the get all transfers endpoint with abatch_id query parameter.
batch_id is the data.id returned from the create bulk transfer response:
"NEW", "PENDING", "FAILED", "SUCCESSFUL"), while the complete_message gives a more descriptive message ("Transaction is currently being processed", "Account resolve failed", "Successful").
When making bulk transfers from your dashboard, you’ll need to specify an approver. When doing it via API, no approver is needed.
error_reporting flag in your initial bulk request. For bulk transfers that are initiated with the “error_reporting” flag enabled, we will return all errors with relevant information when you query their status.
Sample Response(400 Error)